#import <CoreGraphics/CoreGraphics.h>
#import <UIKit/UIKit.h>

#import <UIKit/UIView.h> 
#import <UIKit/UIImage.h>

#import <UIKit/UIImageView.h>
#import <UIKit/UITransitionView.h>
#import "EmojiKeyboard.h"

#import <GraphicsServices/GraphicsServices.h>



@implementation EmojiKeyboard
- (id)initWithFrame:(CGRect)frame {
	if ((self == [super initWithFrame:frame])!=nil) {
		CGRect rect2;
		rect2.origin.x = 0;
		rect2.origin.y = 0;
		rect2.size.width = 320;
		rect2.size.height = 160;
		_transitionView = [[UITransitionView alloc] initWithFrame:rect2];
		[self addSubview:_transitionView];
		[_transitionView setDelegate:self];

         _emojiImageView1 = [[UIImageView alloc] initWithImage:[UIImage applicationImageNamed:@"emoji1.png"]];
         _emojiImageView2 = [[UIImageView alloc] initWithImage:[UIImage applicationImageNamed:@"emoji1.png"]];

      	[_transitionView transition:0 toView:_emojiImageView1];
                   
        int i,j;
        for(i = 0;i < 5;i++){
          	for( j = 0;j < 10;j++)
           	{
				emojiKeyRect[j][i] = CGRectMake(j * 32,i * 32 ,31,31 );
			}
		}
	}
	_KeyMode = 1;
	
	return self;
}

- (void)dealloc {
	[_emojiImageView1 release];
	[_emojiImageView2 release];

	[super dealloc];
}

- (void)drawRect:(CGRect)rect{
	CGRect rect2;
	rect2.origin.x = 0;
	rect2.origin.y = 0;
	rect2.size.width = 320;
        rect2.size.height = 160;

}


- (void)changeKeyMode {
	if( 1 == _KeyMode )
	{
		_KeyMode = 2;
		[_transitionView transition:0 toView:_emojiImageView2];
	}
	else
	{
		_KeyMode = 1;
		[_transitionView transition:0 toView:_emojiImageView1];
	}

}



- (void)mouseUp:(GSEvent *)event {
	CGPoint point =  GSEventGetLocationInWindow(event);
	int pushEmojiCode;
	int i,j;
	pushEmojiCode = -1;
    for(i = 0;i < 5;i++){
     	for( j = 0;j < 10;j++)
       	{
			if(CGRectContainsPoint(emojiKeyRect[j][i],point))
			{
				pushEmojiCode = 0xE0001 + j + i * 10;
				break;
			}
		}
	}
    [self resignFirstResponder];

	UIAlertSheet *alert = [[[UIAlertSheet alloc] init] autorelease];
	[alert setDelegate: self];
	[alert setTitle: @"Select Start"];
	[alert addButtonWithTitle: @"OK"];
	//[alert popupAlertAnimated: YES];
	[alert popupAlertAnimated: NO];

	if (pushEmojiCode != -1)
	{
		[super inputEmoji:pushEmojiCode];
	
	}

	
	return ;

}


@end
